### Enumeration

# FwupdPlugin UsbDescriptorKind

since: 1.0

#### Declaration

    enum FwupdPlugin.UsbDescriptorKind

#### Description

No description available.

Available since: 1.0

#### Members

`FU_USB_DESCRIPTOR_KIND_INVALID`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_DEVICE`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_CONFIG`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_STRING`
  No description available.
  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_INTERFACE`
  No description available.
  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_ENDPOINT`
  No description available.
  - Value: `5`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_INTERFACE_ASSOCIATION`
  No description available.
  - Value: `11`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_BOS`
  No description available.
  - Value: `15`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_DEVICE_CAPABILITY`
  No description available.
  - Value: `16`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_HID`
  No description available.
  - Value: `33`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_REPORT`
  No description available.
  - Value: `34`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_PHYSICAL`
  No description available.
  - Value: `35`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_HUB`
  No description available.
  - Value: `41`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_SUPERSPEED_HUB`
  No description available.
  - Value: `42`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_SS_ENDPOINT_COMPANION`
  No description available.
  - Value: `48`
  - Nickname: `None`
  - Available since: 1.0